Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False)> _
<Browsable(False)> _
<CreatableItem(False)> _
Public Class GLRowsFIFO
    Inherits BaseObject
    Private _GLRowsIn As GLRows
    Private _GLRowsOut As GLRows
    Private _InAmountDEV As Double = 0
    Private _OutAmountDEV As Double = 0
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    Property GLRowsIn As GLRows
        Get
            Return _GLRowsIn
        End Get
        Set(value As GLRows)
            SetPropertyValue("GLRowsIn", _GLRowsIn, value)
        End Set
    End Property
    Property GLRowsOut As GLRows
        Get
            Return _GLRowsOut
        End Get
        Set(value As GLRows)
            SetPropertyValue("GLRowsOut", _GLRowsOut, value)
        End Set
    End Property
    Property InAmountDEV As Double
        Get
            Return _InAmountDEV
        End Get
        Set(value As Double)
            SetPropertyValue("InAmountDEV", _InAmountDEV, value)
        End Set
    End Property
    Property OutAmountDEV As Double
        Get
            Return _OutAmountDEV
        End Get
        Set(value As Double)
            SetPropertyValue("OutAmountDEV", _OutAmountDEV, value)
        End Set
    End Property


End Class
